Clear Charging Profile
curl --request POST \
--url https://app.plugchoice.com/api/v3/chargers/{charger}/actions/clear-charging-profile \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 123,
"connector_id": 123,
"charging_profile_purpose": "<string>",
"stack_level": 123
}
'import requests
url = "https://app.plugchoice.com/api/v3/chargers/{charger}/actions/clear-charging-profile"
payload = {
"id": 123,
"connector_id": 123,
"charging_profile_purpose": "<string>",
"stack_level": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 123,
connector_id: 123,
charging_profile_purpose: '<string>',
stack_level: 123
})
};
fetch('https://app.plugchoice.com/api/v3/chargers/{charger}/actions/clear-charging-profile', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "<string>"
}Actions
Clear Charging Profile
POST
/
v3
/
chargers
/
{charger}
/
actions
/
clear-charging-profile
Clear Charging Profile
Sends a ClearChargingProfile command to the charger. All parameters are optional filters — if none are provided, all charging profiles are cleared.
string
required
The UUID of the charger.
integer
The ID of the charging profile to clear.
integer
The connector ID to clear profiles for. Must be 0 or greater.
string
Filter by purpose. One of
ChargePointMaxProfile, TxDefaultProfile, or TxProfile.integer
Filter by stack level. Must be 0 or greater.
Response
string
The response status from the charger (e.g.,
Accepted, Unknown).⌘I